@ECHO OFF

:BEGIN
SET JUN4JAVA_HOME=..
SET MY_PATH=%PATH%
SET MY_CLASSPATH=%CLASSPATH%
IF NOT DEFINED JAVA_HOME SET JAVA_HOME=C:\JDK1.6.0_18\jre
IF NOT DEFINED JOGL_HOME SET JOGL_HOME=C:\jogl-1.1.1-windows-i586
IF NOT DEFINED QT4J_HOME SET QT4J_HOME=C:\Program Files\QuickTime

:SET_PATH
SET PATH=.;%JUN4JAVA_HOME%\lib\windows;%JAVA_HOME%\bin;%PATH%
SET CLASSPATH=.
SET CLASSPATH=%CLASSPATH%;%JUN4JAVA_HOME%\lib\jun758.jar
SET CLASSPATH=%CLASSPATH%;%JUN4JAVA_HOME%\lib\StPL97.jar

:SET_JOGL
IF NOT EXIST "%JOGL_HOME%\lib\jogl.jar" GOTO SET_QT4J
SET PATH=%JOGL_HOME%\lib;%PATH%
SET CLASSPATH=%CLASSPATH%;%JOGL_HOME%\lib\jogl.jar
SET CLASSPATH=%CLASSPATH%;%JOGL_HOME%\lib\gluegen-rt.jar

:SET_QT4J
IF NOT EXIST "%QT4J_HOME%\QTSystem\QTJava.zip" GOTO SET_JIMI
SET PATH=%QT4J_HOME%\QTSystem;%PATH%
SET CLASSPATH=%CLASSPATH%;%QT4J_HOME%\QTSystem\QTJava.zip

:SET_JIMI
IF NOT EXIST %JUN4JAVA_HOME%\lib\JimiProClasses.zip GOTO SET_JAI
SET CLASSPATH=%CLASSPATH%;%JUN4JAVA_HOME%\lib\JimiProClasses.zip

:SET_JAI
IF NOT EXIST %JUN4JAVA_HOME%\lib\jai_core.jar GOTO EXEC_JUN
SET CLASSPATH=%CLASSPATH%;%JUN4JAVA_HOME%\lib\jai_core.jar
SET CLASSPATH=%CLASSPATH%;%JUN4JAVA_HOME%\lib\jai_codec.jar
SET CLASSPATH=%CLASSPATH%;%JUN4JAVA_HOME%\lib\mlibwrapper_jai.jar

:EXEC_JUN
java -Xmx512m -Xss1m jp.co.sra.jun.system.support.JunLauncher

:EXIT
SET PATH=%MY_PATH%
SET CLASSPATH=%MY_CLASSPATH%
