#!/bin/bash

JUN4JAVA_HOME=..
JOGL_LIB=/System/Library/Java/extensions
QT4J_LIB=/System/Library/Java/extensions

if [[ $OSTYPE = darwin* ]]; then
	set MY_DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH
	export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$JUN4JAVA_HOME/lib/macosx
	export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$JOGL_LIB
	export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$QT4J_LIB
elif [[ $OSTYPE = linux* ]]; then
	set MY_LD_LIBRARY_PATH=$LD_LIBRARY_PATH
	export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$JUN4JAVA_HOME/lib/linux
	export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$JOGL_LIB
fi

export CLASSPATH=$CLASSPATH:$JUN4JAVA_HOME/lib/jun758.jar
export CLASSPATH=$CLASSPATH:$JUN4JAVA_HOME/lib/StPL97.jar

if [ -f $JOGL_LIB/jogl.jar ]; then
	export CLASSPATH=$CLASSPATH:$JOGL_LIB/jogl.jar
	export CLASSPATH=$CLASSPATH:$JOGL_LIB/gluegen-rt.jar
fi

if [ -f $QT4J_LIB/QTJava.zip ]; then
	export CLASSPATH=$CLASSPATH:$QT4J_LIB/QTJava.zip
fi

if [ -f $JUN4JAVA_HOME/lib/JimiProClasses.zip ]; then
	export CLASSPATH=$CLASSPATH:$JUN4JAVA_HOME/lib/JimiProClasses.zip
fi

if [ -f $JUN4JAVA_HOME/lib/jai_core.jar ]; then
	export CLASSPATH=$CLASSPATH:$JUN4JAVA_HOME/lib/jai_core.jar
	export CLASSPATH=$CLASSPATH:$JUN4JAVA_HOME/lib/jai_codec.jar
	export CLASSPATH=$CLASSPATH:$JUN4JAVA_HOME/lib/mlibwrapper_jai.jar
fi

exec java -Xmx512m -Xss1m jp.co.sra.jun.system.support.JunLauncher

if [[ $OSTYPE = darwin* ]]; then
	set DYLD_LIBRARY_PATH=$MY_DYLD_LIBRARY_PATH
elif [[ $OSTYPE = linux* ]]; then
	set LD_LIBRARY_PATH=$MY_LD_LIBRARY_PATH
fi
